import { useContext, useState } from "react";
import { CartContext } from "../cartContext";
import Cart from "../cartProducts";
import logo from "../../assets/logo.png";

const Navbar = () => {
  const reloadPage = () => {
    window.location.reload(false);
  };
  const { cartItems } = useContext(CartContext);
  const [showModal, setShowModal] = useState(false);

  const toggle = () => {
    setShowModal(!showModal);
  };

  return (
    <div>
      <nav className="flex justify-between items-center max-w-6xl mx-auto">
        <div className="relative flex items-center h-12 w-48 left-8">
        <img src={logo} alt="hello" />
        </div>
        <ul className="flex space-x-6 text-lg">
          <li
            className="hover:text-gray-300 transition duration-300 cursor-pointer"
            onClick={reloadPage}
          >
            Home
          </li>
          <li
            className="hover:text-gray-300 transition duration-300 cursor-pointer"
            onClick={reloadPage}
          >
            Products
          </li>
          <li
            className="hover:text-gray-300 transition duration-300 cursor-pointer"
            onClick={reloadPage}
          >
            Checkout
          </li>
          <li>
            {!showModal && (
              <button
                className="px-4 py-2 bg-white text-black text-xs font-bold uppercase rounded hover:bg-slate-300 focus:outline-none focus:bg-slate-300"
                onClick={toggle}
              >
                Cart ({cartItems?.length})
              </button>
            )}
          </li>
        </ul>
      </nav>
      <Cart showModal={showModal} toggle={toggle} />
    </div>
  );
};

export default Navbar;
